- name: Install fully worked (I hope) STCP server
  hosts: "chernov_stcp"
  become: yes

  roles:
    - role: install-stcp
      server_port: 5006
      link_start_ip_addr: 192.168.56.26
      links_number: 8
      ext_iface: eth0
      use_auth: no
      use_client_logging: yes
      run_stcp: no
      stcp_level: l3
      stcp_mode: tuntap

      tun_iface_ip_addr: 10.11.1.1
      tun_iface_ip_mask: 255.255.255.0

      tap_iface_ip_addr: 10.10.1.1
      tap_iface_ip_mask: 255.255.255.0
    
    - role: install-stcp
      server_port: 5000
      link_start_ip_addr: 192.168.56.2
      links_number: 6
      ext_iface: eth0
      use_auth: no
      use_client_logging: yes

      stcp_level: l3
      stcp_mode: tuntap
      run_stcp: no
      stcp_http_srv_port: 1887

      tun_iface_ip_addr: 10.11.0.1
      tun_iface_ip_mask: 255.255.255.0

      tap_iface_ip_addr: 10.10.0.1
      tap_iface_ip_mask: 255.255.255.0